import os
import telebot

# Замените на свой токен при необходимости.
TOKEN = '7601363465:AAH0_YEIs74-osSLDTArDVe2wqgHRWv4p4E'
bot = telebot.TeleBot(TOKEN)

@bot.message_handler(commands=['start'])
def start(message):
    count = len(os.listdir('databases'))
    bot.send_message(message.chat.id, f'Здравствуйте, это бот для поиска по базам данных.\nhttps://telegra.ph/Pomoshch-02-02-3\nПолезная информация.\n\nКоличество баз данных: {count}.\nВведите свой запрос:')

@bot.message_handler(func=lambda message: True)
def search_databases(message):
    data = message.text
    result = ''
    seen_lines = set()
    if not os.path.exists('databases'):
        bot.send_message(message.chat.id, "Не удается найти папку 'databases'\nПиши '/help'")
        return

    for label in os.listdir('databases'):
        file_path = os.path.join('databases', label)
        try:
            with open(file_path, 'r', encoding='UTF-8') as f:
                for line in f:
                    if data in line:
                        formatted_line = line.replace(';', '\n').replace('.', '').replace('[', '').replace(']', '').replace('"', '').replace('NULL', '')
                        if formatted_line not in seen_lines:
                            seen_lines.add(formatted_line)
                            result += f"[{label}]\n{formatted_line}\n"
                        break
        except Exception as e:
            print(f"Ошибка при чтении файла {label}: {e}")
    
    if result:
        bot.send_message(message.chat.id, f'Вот что мы нашли:\n{result}\nНовый запрос -"/start"')
    else:
        bot.send_message(message.chat.id, 'Ничего не найдено \n "/start" для нового запроса.')

if __name__ == '__main__':
    print("   Бот запущен...\n   Если вы используете Pydroid 3 и у вас слетает бот\n   то сделайте сессию, в этом меню справа сверху нажмите _")
    bot.polling(none_stop=True)